# myProjects

Ce dépôt contient mes projets scolaires et personnels liés à la data et à l'IA

---

## Personal

* **[battle_royale.py](battle_royale.py)** Création d'un jeu de type battle_royale 2D et entrainement d'agents par algorithme génétique
* **[machine_learning_football_results.py](machine_learning_football_results.py)** Prédiction du résultat d'un match de football à partir des statistiques sur les 5 matchs précédents de chaque équipe (issues de [football-data](http://www.football-data.co.uk/data.php) )
* 
## School
* **[perceptron.py](perceptron.py)** Classification supervisée et non supervisée des données de [iris.csv](iris.csv).
* **[eigenfaces.py](eigenfaces.py)** Système d'authentification faciale à l'aide de la méthode des Eigenfaces. Les données sont trop lourdes pour être déposées mais la base utilisée sont la "color FERET database".
* **[ex_cluster.py](ex_cluster.py)** Exercices sur différentes techniques de clusterisation à partir des données de [hotels.csv](hotels.csv)
